### Class

# Gimp LinkLayer

#### Description [src]

    final class Gimp.LinkLayer : Gimp.Layer
      implements Gimp.Rasterizable {
      /* No available fields */
    }

Functions for querying and manipulating link layers.

#### Hierarchy

#### Ancestors

- GimpLayer
- GimpDrawable
- GimpItem
- GObject

#### Implements

- GimpRasterizable

#### Constructors

###### gimp_link_layer_new

Create a new link layer.

since: 3.2

#### Functions

###### gimp_link_layer_get_by_id

Returns a `GimpLinkLayer` representing `layer_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is a link layer or `NULL` otherwise.

since: 3.2

#### Instance methods

###### gimp_link_layer_get_file

Get the monitored file.

since: 3.2

###### gimp_link_layer_get_mime_type

Get the mime type of the monitored file.

since: 3.2

###### gimp_link_layer_set_file

Set the monitored file.

since: 3.2

##### Methods inherited from GimpLayer (30)

Please see GimpLayer for a full list of methods.

##### Methods inherited from GimpDrawable (56)

Please see GimpDrawable for a full list of methods.

##### Methods inherited from GimpItem (48)

Please see GimpItem for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GimpRasterizable (3)

###### gimp_rasterizable_is_rasterized

Return whether `item` has been rasterized.

since: 3.2

###### gimp_rasterizable_rasterize

Rasterize the object.

since: 3.2

###### gimp_rasterizable_restore

Revert the rasterization of `item`.

since: 3.2

#### Properties

##### Properties inherited from GimpItem (1)

###### Gimp.Item:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpLinkLayerClass {
      GimpLayerClass parent_class;

    }

No description available.

###### Class members

`parent_class: GimpLayerClass`

  No description available.